Skip to Content

Describe the API key making the request response 200 (application/json)

Used by Describe the API key making the request.

Type: object.

additional properties: forbidden

Required fields apply within this object.

FieldRequiredTypeDescription and constraints
objectYesstringenum: ["admin_api_key"]
api (source)Noobjectadditional properties: forbidden
idYesstringformat: uuid;

pattern

^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
nameYesstring
secretPreviewYesstring
permissions (source)Yesarray of stringminItems: 1
modes (source)Yesarray of stringminItems: 1
projects (source)YesanyOf (2 variants)
expiresAt (source)YesanyOf (2 variants)
lastUsedAt (source)YesanyOf (2 variants)
rotatedAt (source)YesanyOf (2 variants)
previousSecretExpiresAt (source)YesanyOf (2 variants)
client (source)YesanyOf (2 variants)
createdAtYesstringformat: date-time;

pattern

^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
owner (source)Yesobjectadditional properties: forbidden
  • additionalProperties: no JSON value.

Complete schema source.

Last updated on